# Uses of Class
org.eclipse.ui.views.framelist.Frame

Packages that use Frame
Package
Description
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.

## Uses of Frame in org.eclipse.ui.views.framelist

Subclasses of Frame in org.eclipse.ui.views.framelist
Modifier and Type
Class
Description
`class`
`TreeFrame`
Frame for tree viewers.
Methods in org.eclipse.ui.views.framelist that return Frame
Modifier and Type
Method
Description
`Frame`
FrameList.`getCurrentFrame()`
Returns the current frame.
`protected Frame`
TreeViewerFrameSource.`getCurrentFrame(int flags)`
Returns the current frame.
`Frame`
FrameList.`getFrame(int index)`
Returns the frame at the given index, or `null` if the index is ≤ 0 or ≥ `size()`.
`Frame`
IFrameSource.`getFrame(int whichFrame, int flags)`
Returns a new frame describing the state of the source.
`Frame`
TreeViewerFrameSource.`getFrame(int whichFrame, int flags)`
`protected Frame`
TreeViewerFrameSource.`getParentFrame(int flags)`
Returns the parent frame, or `null` if there is no parent frame.
`protected Frame`
TreeViewerFrameSource.`getSelectionFrame(int flags)`
Returns the frame for the selection, or `null` if there is no frame for the selection.
Methods in org.eclipse.ui.views.framelist with parameters of type Frame
Modifier and Type
Method
Description
`void`
FrameList.`gotoFrame(Frame frame)`
Adds the given frame after the current frame, and advances the pointer to the new frame.